package org.jeecg.modules.ctop.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ctop.vo.MaterialTopVO;

import java.util.List;

public interface MaterialTopMapper {

    IPage<MaterialTopVO> selectMapsPage(Page<MaterialTopVO> page, @Param(Constants.WRAPPER)QueryWrapper<MaterialTopVO> wrapper);

    List<MaterialTopVO> selectList(@Param("endDate") String endDate,@Param("startDate") String startDate,@Param("target") String target,@Param("order") String order);

    int insertByteDanceMaterialReportAccountByDate(@Param("statDate") String statDate);

    int insertKuaiShouMaterialReportAccountByDate(@Param("statDate") String statDate);

    int deletedMaterialReportAccountByDate(@Param("statDate") String statDate);

}
